Bug 1043270 - Kate and Kwrite keyboard shortcut for comment(out) not working.
Summary: Kate and Kwrite keyboard shortcut for comment(out) not working.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kate
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-15 15:15 UTC by Nikolai Maziashvili
Modified: 2019-10-17 10:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:32:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikolai Maziashvili 2013-12-15 15:15:07 UTC
Description of problem:
Keyboard shortcut in Kate/Kwirte for commenting lines (Ctrl+D) not doing anything... Only way to comment lines now is to se "#" in front of every single line :(

And assigning different keyboard shortcuts from menu not making any difference. 

Version-Release number of selected component (if applicable):
Kate Version 3.11.3
Kwrite Version 4.11.3

How reproducible:
Every time

Steps to Reproduce:
1. Open any text file with Kate or Kwrite
2. Try to select several lines and try to comment them with keyboard shortcut.
3.

Actual results:
Nothing happaning...Line stay un-commented.

Expected results:
Commented selected lines.

Additional info:

Comment 1 T.C. Hollingsworth 2013-12-20 23:34:57 UTC
This seems to work fine here.  

Are you sure Kate knows what type of file you're using?  (e.g. is syntax highlighting working?)  Different programming languages use different comment styles (e.g. /* */ in C89, // in C++, # in shell/Python, <!-- --> in HTML/XML), so Kate must know what language the file is written in for the Comment keyboard shortcut to work.  If it doesn't know, this function is disabled because it has no way of knowing which one of those you want.

So if it's not working, Kate probably hasn't figured out what language your file is using.  You can manually set it in Tools > Mode if you need to, and the Comment shortcut should start working.

If you think Kate should be able to figure out what filetype you're using, please file a bug upstream by choosing Help > Report a Bug in Kate and include information like the file extension you're using or the shebang line so we can fix it.

If you're using a weird file extension that probably isn't useful to others (or you don't want to wait for us to fix it upstream :-), you can tell Kate to always open files with that extension in the mode you want in Settings > Configure Kate > Open/Save > Modes & Filetypes:
http://docs.kde.org/stable/en/applications/kate/config-dialog-editor.html#pref-open-save-modes-filetypes

Comment 2 Fedora End Of Life 2015-05-29 09:59:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 13:32:03 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 CarolineFlack 2019-10-17 10:53:26 UTC
I am still working on keyboard shortcut for comment for my website. The first time, I stuck in a place I didn't know how to deal with it so I contacted consultant https://www.dissertationhelpdeal.co.uk/ to help me out in it. I am working hard on it.


Note You need to log in before you can comment on or make changes to this bug.